Material Requests
Approve Material Request
POST
/
material-requests
/
{mr_id}
/
approve
Approve Material Request
curl --request POST \
--url https://vinmake-erp.onrender.com/material-requests/{mr_id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comments": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/material-requests/{mr_id}/approve"
payload = { "comments": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comments: '<string>'})
};
fetch('https://vinmake-erp.onrender.com/material-requests/{mr_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"status": "<string>",
"urgency": "<string>",
"productionOrderId": "<string>",
"productionOrderDocumentId": "<string>",
"salesOrderId": "<string>",
"salesOrderDocumentId": "<string>",
"purchaseOrderId": "<string>",
"purchaseOrderDocumentId": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"submittedAt": "<string>",
"approvedAt": "<string>",
"rejectedAt": "<string>",
"submittedById": "<string>",
"submittedByName": "<string>",
"approvedById": "<string>",
"approvedByName": "<string>",
"rejectedById": "<string>",
"rejectedByName": "<string>",
"rejectionReason": "<string>",
"bomId": "<string>",
"bomDocumentId": "<string>",
"wastagePercent": 123,
"autoGenerated": true,
"lineItemsCount": 123,
"totalEstimatedAmount": 123,
"production_order": {},
"purchase_order": {},
"lineItems": [
{
"id": "<string>",
"materialRequestId": "<string>",
"requiredQty": 123,
"warehouseAvailableQty": 123,
"qtyToPurchase": 123,
"itemNumber": 123,
"materialId": "<string>",
"materialName": "<string>",
"supplierId": "<string>",
"supplierName": "<string>",
"uom": "<string>",
"unitPrice": 123,
"estimatedAmount": 123,
"linkedPoLineId": "<string>",
"status": "<string>",
"notes": "<string>"
}
],
"approvalHistory": [
{
"id": "<string>",
"materialRequestId": "<string>",
"action": "<string>",
"status": "<string>",
"performedById": "<string>",
"performedByName": "<string>",
"performedAt": "<string>",
"reason": "<string>",
"comments": "<string>"
}
],
"linkedPurchaseOrders": [
{
"id": "<string>",
"documentId": "<string>",
"supplierName": "<string>",
"status": "<string>",
"total": 123,
"createdAt": "<string>",
"linkedMrId": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Approve Material Request
